%define build_compat32 %{?_with_compat32:1}%{!?_with_compat32:0}

Summary: X.Org X11 libXcomposite runtime library
Summary(ja): X.Org X11 libXcomposite ランタイムライブラリ
Name: libXcomposite
Version: 0.4.4
Release: 1%{?_dist_release}
License: MIT/X11
Group: System Environment/Libraries
URL: http://www.x.org

Source0: ftp://ftp.x.org/pub/individual/lib/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros
BuildRequires: xorg-x11-proto-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
Obsoletes: XFree86-libs, XOrg-libs

%description
X.Org X11 libXcomposite runtime library

%package devel
Summary: X.Org X11 libXcomposite development package
Summary(ja): X.Org X11 libXcomposite 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: %{name} = %{version}-%{release}
Requires: xorg-x11-proto-devel
Requires: libXfixes-devel
Obsoletes: XFree86-devel, XOrg-devel

%description devel
X.Org X11 libXcomposite development package

# compat32
%package -n compat32-%{name}
Summary: X.Org X11 libXcomposite runtime library
Summary(ja): X.Org X11 libXcomposite ランタイムライブラリ
Group: System Environment/Libraries

%description -n compat32-%{name}
X.Org X11 libXcomposite runtime library

%package -n compat32-%{name}-devel
Summary: X.Org X11 libXcomposite development package
Summary(ja): X.Org X11 libXcomposite 開発パッケージ
Group: Development/Libraries
Requires(pre): xorg-x11-filesystem
Requires: compat32-%{name} = %{version}-%{release}
Requires: %{name}-devel = %{version}-%{release}
Requires: compat32-libXfixes-devel

%description -n compat32-%{name}-devel
X.Org X11 libXcomposite development package

%prep
%setup -q

%build

%configure --disable-static
make

%install

rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post -n compat32-%{name} -p /sbin/ldconfig
%postun -n compat32-%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_libdir}/libXcomposite.so.1
%{_libdir}/libXcomposite.so.1.0.*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/X11
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/Xcomposite.h
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%{_mandir}/man3/X?omposite*.3*

# compat32
%if %{build_compat32}
%files -n compat32-%{name}
%defattr(-,root,root,-)
%{_libdir}/libXcomposite.so.1
%{_libdir}/libXcomposite.so.1.0.*

%files  -n compat32-%{name}-devel
%defattr(-,root,root,-)
%{_libdir}/libXcomposite.so
%{_libdir}/pkgconfig/xcomposite.pc
%endif

%changelog
* Sun Apr 28 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.4-1
- new upstream release

* Sun Nov 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.3-1
- new upstream release

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jul 31 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.2-1
- new upstream release

* Tue Nov 17 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.1-1
- new upstream release

* Sun May 03 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.4.0-2
- added compat32 package for x86_64 arch support

* Sun May 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-1
- new versioning policy

* Mon Jan 14 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.0-0vl1
- initial build for Vine Linux

* Wed Aug 22 2007 Adam Jackson <ajax@redhat.com> - 0.4.0-3
- Rebuild for PPC toolchain bug

* Wed Jul 25 2007 Jesse Keating <jkeating@redhat.com> - 0.4.0-2
- Rebuild for RH #249435

* Tue Jul 24 2007 Adam Jackson <ajax@redhat.com> 0.4.0-1
- libXcomposite 0.4.0

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> - 0.3.1-2
- Don't install INSTALL

* Mon Nov 20 2006 Adam Jackson <ajax@redhat.com> 0.3.1-1
- Update to 0.3.1

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 0.3-5.1
- rebuild

* Wed Jun 07 2006 Mike A. Harris <mharris@redhat.com> 0.3-5
- Replace "makeinstall" with "make install DESTDIR=..."
- Added "Requires: xorg-x11-proto-devel >= 7.0-10, libXfixes-devel to devel
  subpackage needed by xcomposite.pc
- Remove package ownership of mandir/libdir/etc.

* Mon Apr 10 2006 Kristian Høgsberg <krh@redhat.com> 0.3-4
- Bump for build in fc5-bling.

* Fri Apr  7 2006 Adam Jackson <ajackson@redhat.com> 0.3-3
- Note the necessary -proto-devel version in BuildRequires.

* Fri Apr  7 2006 Adam Jackson <ajackson@redhat.com> 0.3-2
- Rebuild to pick up new compositeproto headers.

* Mon Apr  3 2006 Adam Jackson <ajackson@redhat.com> - 0.3-1
- Update to 0.3 from upstream.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.2.2-2.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.2.2-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 23 2006 Mike A. Harris <mharris@redhat.com> 0.2.2.2-2
- Bumped and rebuilt

* Fri Dec 16 2005 Mike A. Harris <mharris@redhat.com> 0.2.2.2-1
- Updated libXcomposite to version 0.2.2.2 from X11R7 RC4

* Tue Dec 13 2005 Mike A. Harris <mharris@redhat.com> 0.2.2.1-1
- Updated libXcomposite to version 0.2.2.1 from X11R7 RC3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-3", to ensure
  that /usr/lib/X11 and /usr/include/X11 pre-exist.
- Removed 'x' suffix from manpage directories to match RC3 upstream.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.2.2-1
- Updated libXcomposite to version 0.2.2 from X11R7 RC2
- Changed 'Conflicts: XFree86-devel, xorg-x11-devel' to 'Obsoletes'
- Changed 'Conflicts: XFree86-libs, xorg-x11-libs' to 'Obsoletes'

* Mon Oct 24 2005 Mike A. Harris <mharris@redhat.com> 0.2.1-1
- Updated libXcomposite to version 0.2.1 from X11R7 RC1

* Thu Sep 29 2005 Mike A. Harris <mharris@redhat.com> 0.2.0-3
- Renamed package to remove xorg-x11 from the name due to unanimous decision
  between developers.
- Use Fedora Extras style BuildRoot tag.
- Disable static library creation by default.
- Add missing defattr to devel subpackage
- Add missing documentation files to doc macro

* Tue Aug 23 2005 Mike A. Harris <mharris@redhat.com> 0.2.0-2
- Renamed package to prepend "xorg-x11" to the name for consistency with
  the rest of the X11R7 packages.
- Added "Requires: %%{name} = %%{version}-%%{release}" dependency to devel
  subpackage to ensure the devel package matches the installed shared libs.
- Added virtual "Provides: lib<name>" and "Provides: lib<name>-devel" to
  allow applications to use implementation agnostic dependencies.
- Added post/postun scripts which call ldconfig.
- Added Conflicts with XFree86-libs and xorg-x11-libs to runtime package,
  and Conflicts with XFree86-devel and xorg-x11-devel to devel package.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.2.0-1
- Initial build.
